# astextfield

Creating UITextField Package for use globally 

## Getting Started

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.



## Example
```
//Initialize TextEditingController
var userName = TextEditingController();

//Initialize Class object with required and optional parameters
final ASTextField userNameField = ASTextField(
    'Full Name',						//Required hint name
    'assets/images/ic_user.png',		//Required prefix icon path
    userName,							//Required TextEditingController
    TextFieldValidationType.userName,	//Required Field type
    const Color(0xff777777),			//Optional Text hint color
    const Color(0xffD1D1D1),			//Optional textFormField bottom line const
    InputType.normal);					//Optional Keyboard type
```

## Screenshot
![alt text](screenshots/screen1.png)